[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'fpjson' (#fcl)

# TFormatOption

Formatting options for FormatJSON

## Declaration

Source position: fpjson.pp line 64

`type TFormatOption = (`
`foSingleLineArray,` |  | Keep all array elements on a single line.
`foSingleLineObject,` |  | Keep all object elements on a single line.
`foDoNotQuoteMembers,` |  | Do not use quote characters around object member names.
`foUseTabchar,` |  | Use the tabulator character for indents
`foSkipWhiteSpace,` |  | Skip whitespace
`foSkipWhiteSpaceOnlyLeading` |  | Only skip leading whitespace when formatting JSON
`);`

## Description

TFormatOption enumerates the various formatting options that can be used in the TJSONData.FormatJSON function.

## See also

TJSONData.FormatJSON |  | Return a formatted JSON representation of the data.